<%@page language="java" import="java.util.*,java.text.*,com.homeautomationguru.intellihome.floorplan.*" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<%
	Floor[] floors = (Floor[])request.getAttribute("floors");
%>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<meta name="apple-mobile-webapp-capable" content="yes"/>
	<meta name="apple-mobile-webapp-status-bar-style" content="black-translucent"/>
	
	<link rel="stylesheet" href="/css/jquery.mobile-1.4.2.min.css">
	<link rel="stylesheet" href="/modules/floorplan/css/floorplan.css">
	<link rel="app-touch-startup-image" href="apple-touch-icon.png">
	<script src="/js/jquery.js"></script>
	<script src="/js/jquery.mobile-1.4.2.min.js"></script>

<script>
	<!--
// Pagecreate will fire for each of the pages in this demo
// but we only need to bind once so we use "one()"
$( document ).one( "pagecreate", function() {

<%	
	for (int z=0; z<floors.length; z++) {
%>		
	$( "#floorbg<%=z%>" ).on( "tap", function(event) {
		$( "#controlpanel<%=z%>" ).panel( "toggle" ); 
		return false;
	});
<%
	}
%>

	// Handler for navigating to the next page
	function navnext( next ) {
		$( ":mobile-pagecontainer" ).pagecontainer( "change", "#"+next, {
			transition: "slide"
		});
	}

	// Handler for navigating to the previous page
	function navprev( prev ) {
		$( ":mobile-pagecontainer" ).pagecontainer( "change", "#"+prev, {
			transition: "slide",
			reverse: true
		});
	}

	// Navigate to the next page on swipeleft
	$( document ).on( "swipeleft", ".ui-page", function( event ) {
		 var next = $(this).jqmData("next");
		 navnext(next);
	});

	// The same for the navigating to the previous page
	$( document ).on( "swiperight", ".ui-page", function( event ) {
		 var prev = $(this).jqmData("prev");
		 navprev(prev);
	});

	// Navigate to the next page when the "next" button in the footer is clicked
	$( document ).on( "click", ".next", function(event) {
		 var next = $(this).jqmData("next");
		 navnext(next);
	});

	$( document ).on( "click", ".prev", function(event) {
		 var prev = $(this).jqmData("prev");
		 navprev(prev);
	});

		toggleState = function(name, deviceID, sceneID) {
			state = (($("#" + name)[0].style.visibility)=='visible'?true:false);

			if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
				xmlhttp=new XMLHttpRequest();
			}
			else {// code for IE6, IE5
		  		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
			}
			url = "/action?module=floorplan&action=control&name=" + name + "&deviceID=" + deviceID + "&sceneID=" + sceneID + "&state=" + state;
			xmlhttp.open("GET",url,true);
			xmlhttp.send();
		}
	
		var xmlhttp='';
		loadJSON = function(url,cfunc)
		{
			if (window.XMLHttpRequest) {// code for IE7+, Firefox, Chrome, Opera, Safari
				xmlhttp=new XMLHttpRequest();
			}
			else {// code for IE6, IE5
		  		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
			}
		
			var paramList="";
			xmlhttp.onreadystatechange=cfunc;
			xmlhttp.open("POST",url,true);
			xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
			$(".overlay").each(function( index ) {
				if ($( this )[0].style.visibility=='visible') {
					paramList += ($( this )[0].id) + "=1&";
				}
			});
			xmlhttp.send(paramList);
		};
		
		showHide = function(el, vis) {
			var curr = document.getElementById(el).style.visibility;
			if (curr != vis) {
				//console.log("Toggling visibility: " + el + ", " + vis);
				document.getElementById(el).style.visibility=vis;
				if (document.getElementById("c-"+el) != null) {
					if (vis=="visible") {
						document.getElementById("c-"+el).classList.remove('greenButton');
						document.getElementById("c-"+el).classList.add('redButton');
					}
					else {
						document.getElementById("c-"+el).classList.remove('redButton'); 
						document.getElementById("c-"+el).classList.add('greenButton');
					}
				}
			}
		};
		
		var loading=0;
		getStatus = function()
		{
			if (loading==0) {
				loading=1;
				loadJSON("/action?module=floorplan&action=json",function() {
			  		if (xmlhttp.readyState==4 && xmlhttp.status==200) {
						try {
						    var jsonData = JSON.parse(xmlhttp.responseText);
						    for (var i in jsonData.overlays) {
						        var overlay = jsonData.overlays[i];
						        showHide(overlay.name, overlay.visibility);
						    }				    
						}
						catch (err) {
							// ignore this error; an "unexpected end of input" will occur if a control  
							// HTTP request is made while we're waiting on this status request
						}
					    loading=0;
			    	}
			  		else if (xmlhttp.readyState==4 && xmlhttp.status!=200) {
			  			// stop trying
			  			loading=2;
			  		}
				});
			}
		};
		
		setInterval(getStatus, 100);
});

	//--> 
	</script>
</head>

<body>
<%
	int next, prev;
	
	for (int x=0; x<floors.length; x++) {
		if (x==0) {		
			next = 1;
			prev = floors.length-1;
		}
		else if (x==floors.length-1) {
			next = 0;
			prev = x-1;
		}
		else {
			next = x+1;
			prev = x-1;
		}
%>
<div data-role="page" data-theme="b" id="floor<%=x%>" data-title="<%= floors[x].getName() %>" data-next="floor<%=next%>" data-prev="floor<%=prev%>">

	<div id="header<%=x%>" data-theme="b" data-role="header" data-position="fixed" data-fullscreen="true" data-tap-toggle="false">
		<h1><%= floors[x].getName() %></h1>
		<div class="ui-btn-left">
			<a href="/action" data-role="button" data-ajax="false" data-direction="reverse" data-icon="home" data-iconpos="notext" data-shadow="true">Home</a>
			<a href="/action?module=settings&action=loadsettings&moduleName=floorplan" data-role="button" data-ajax="false" data-icon="gear" data-iconpos="notext" data-shadow="true">Settings</a>
		</div>
	</div>

	<div data-theme="b" role="main" class="ui-content">
		<div class='overlay' id='<%=floors[x].getFloorplan().getName()%>' style="z-index:0; position:absolute; left:0px; top:0px;"> <img id='floorbg<%=x%>' src='<%=floors[x].getFloorplan().getImgURL()%>'></div>
<% 
	for (int y=0; y<floors[x].getOverlays().size(); y++) {
        Overlay tempOverlay = floors[x].getOverlays().get(y);
		if (tempOverlay.getCompareOperator() == -2) { // special temperature operator
			out.println("<div class='overlay' id='" + tempOverlay.getName() + "' style='font-size:30px;color:yellow;z-index:" + tempOverlay.getZindex() + "; position:absolute; left:" + tempOverlay.getLeft() + "px; top:" + tempOverlay.getTop() + "px;'>" + tempOverlay.getStatus() + "&deg;</div>");
		}
		else {
			out.println("<div class='overlay' id='" + tempOverlay.getName() + "' style='visibility:" + (tempOverlay.isVisible()?"visible":"hidden") + ";z-index:" + tempOverlay.getZindex() + "; position:absolute; left:" + tempOverlay.getLeft() + "px; top:" + tempOverlay.getTop() + "px;'><img src='" + tempOverlay.getImgURL() + "'></div>");
		}
	}
%>
	</div><!-- /content -->
	
	<div id="footer<%=x%>" data-role="footer" data-position="fixed" data-fullscreen="true" data-tap-toggle="false">
		<div data-role="controlgroup" class="control ui-btn-left" data-type="horizontal" data-mini="true">
			<a href="#floor<%=prev%>" class="prev ui-btn ui-btn-icon-notext ui-icon-carat-l">Previous</a>
			<a href="#floor<%=next%>" class="next ui-btn ui-btn-icon-notext ui-icon-carat-r">Next</a>
		</div>

		<a href="/action" id="back-button" class="trivia-btn ui-btn ui-btn-right ui-btn-icon-left ui-icon-carat-l ui-mini ui-corner-all">Back</a>
	</div><!-- /footer -->

  <!-- defaultpanel  -->
  <div data-role="panel" id="controlpanel<%=x%>" data-theme="b" data-display="push"> 
 
    <div class="panel-content">
      <h3><%= floors[x].getName() %></h3>
      <p>These devices can be controlled on this floor:</p>
<% 
	for (int y=0; y<floors[x].getOverlays().size(); y++) {
        Overlay tempOverlay = floors[x].getOverlays().get(y);
		if (tempOverlay.getControlType() == 1) { // scene
			out.println("<a onclick=\"toggleState('" + tempOverlay.getName() + "','" + tempOverlay.getDeviceID() + "','" + tempOverlay.getSceneID() + "'); return false;\" href='/action?module=floorplan&action=control&id=" + tempOverlay.getId() + "&name=" + tempOverlay.getName() + "&deviceID=" + tempOverlay.getDeviceID() + "&sceneID=" + tempOverlay.getSceneID() + "&state=" + tempOverlay.isVisible() + "' id='c-" + tempOverlay.getName() + "' class='" + (tempOverlay.isVisible()?"redButton":"greenButton") + "' data-rel='popup' data-role='button' data-theme='a' data-icon='delete'>" + tempOverlay.getFriendlyName() + "</a>");
		}
	}
%>
    </div><!-- /content wrapper for padding -->
  </div><!-- /defaultpanel --> 
	
</div><!-- /page -->

<%
}
%>

</body>
</html>