<%@page language="java" import="java.util.*,java.text.*, com.homeautomationguru.intellihome.modules.*" %>
<!DOCTYPE html>

<%
	String jobsdata = (String)request.getAttribute("jobsdata");
%>
<html>
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<meta name="apple-mobile-webapp-capable" content="yes"/>
	<meta name="apple-mobile-webapp-status-bar-style" content="black-translucent"/>
	
	<link rel="stylesheet" href="/css/jquery.mobile-1.4.2.min.css">
	<link rel="stylesheet" href="/css/prefs.css">
	<link rel="app-touch-startup-image" href="apple-touch-icon.png">
	<script src="/js/jquery.js"></script>
	<script src="/js/jquery.mobile-1.4.2.min.js"></script>
</head> 
<body> 

<!-- page -->
<div id="Diagnostics" data-theme="b" data-role="page" data-title="Diagnostics">

	<!-- header -->
	<div data-role="header" data-theme="b" data-position="fixed" data-fullscreen="true" data-tap-toggle="false" class="ui-header ui-bar-f" role="banner">
		<h1>Jobs</h1>
		<a href="/action?module=launcher&folder=Settings" data-ajax="false" data-direction="reverse" data-icon="home" data-iconpos="notext" data-shadow="true">Back</a>
	</div>
	<!-- /header -->

	<!-- content -->
	<div data-theme="b" data-role="content" class="ui-content" role="main" style="width:100%">

		<div class="content-primary" id="jobs"><br/>
			<h3>Jobs</h3>
			<div>You can schedule jobs here.</div>
				<div id="joblist"></div>
		</div>

	</div>
	<!-- content -->

</div>
<!-- /page -->

<script>
toggleJob = function(obj, jobID, jobState) {
	if (jobState == 0)
		newJobState=1;
	else
		newJobState=0;
	
    $.ajax({
        url: '/action?module=jobs&action=togglejob',
        type: 'post',
        dataType: 'html',
        data: 'id=' + jobID + '&state=' + newJobState,
        success: function(data) {
        	obj.innerHTML = data;
        	obj.onclick = function onclick(event){toggleJob(this,jobID,newJobState);};
        }
    });
}

//populate the tableData
jobHTML = "<table border=1><tr><th>active</th><th>id</th><th>name</th><th>className</th><th>classMethod</th><th>startTime</th><th>interval</th><th>lastRun</th><th>lastRunMessage</th></tr>";
jobData = jQuery.parseJSON( '<%=jobsdata%>' ).jobs;
for (x=0; x<jobData.length; x++) {
	jobHTML = jobHTML + "<tr><td><a href=# onclick=\"toggleJob(this," + jobData[x].id +"," + jobData[x].active +")\">" + (jobData[x].active==1?"Active":"Disabled") + "</a></td>";
	jobHTML = jobHTML + "<td>" + jobData[x].id + "</td>"
	jobHTML = jobHTML + "<td>" + jobData[x].name + "</td>"
	jobHTML = jobHTML + "<td>" + jobData[x].className + "</td>"
	jobHTML = jobHTML + "<td>" + jobData[x].classMethod + "</td>"
	jobHTML = jobHTML + "<td>" + jobData[x].startTime + "</td>"
	jobHTML = jobHTML + "<td>" + jobData[x].interval + "</td>"
	jobHTML = jobHTML + "<td>" + jobData[x].lastRun + "</td>"
	jobHTML = jobHTML + "<td>" + jobData[x].lastRunMessage + "</td>"
	jobHTML = jobHTML + "</tr>";
}
jobHTML = jobHTML + "</table>";
$('#joblist')[0].innerHTML = jobHTML;

</script>

</body>
</html>