<%@page language="java" import="java.util.*,java.text.*, com.homeautomationguru.intellihome.modules.*" %>
<!DOCTYPE html>

<%
	ArrayList<String> logFiles = (ArrayList<String>)request.getAttribute("logFiles");
%>
<html>
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<meta name="apple-mobile-webapp-capable" content="yes"/>
	<meta name="apple-mobile-webapp-status-bar-style" content="black-translucent"/>
	
	<link rel="stylesheet" href="/css/jquery.mobile-1.4.2.min.css">
	<link rel="stylesheet" href="/css/prefs.css">
	<link rel="app-touch-startup-image" href="apple-touch-icon.png">
	<script src="/js/jquery.js"></script>
	<script src="/js/jquery.mobile-1.4.2.min.js"></script>
</head> 
<body> 

<!-- page -->
<div id="Diagnostics" data-theme="b" data-role="page" data-title="Diagnostics">

	<!-- header -->
	<div data-role="header" data-theme="b" data-position="fixed" data-fullscreen="true" data-tap-toggle="false" class="ui-header ui-bar-f" role="banner">
		<h1>Logs</h1>
		<a href="/action?module=launcher&folder=Settings" data-ajax="false" data-direction="reverse" data-icon="home" data-iconpos="notext" data-shadow="true">Back</a>
	</div>
	<!-- /header -->

	<!-- content -->
	<div data-theme="b" data-role="content" class="ui-content" role="main" style="width:100%">
<br/><br/><br/>
		<div class="content-primary" id="summary" style="display:block"><br/>
			<h3>File Paths</h3>
			<div>Some features of Intellihome (such as downloading weather and location data) will download temporary files to disk.</div>
			<div>The paths here specify where the data is downloaded, and then where it should be moved after it's processed (or failed processing)</div>
			<table border=1 padding=5 cellpadding=5 cellspacing=3>
				<tr><th align="center">Setting</th><th>Description</th><th width="300px">Value</th></tr>
				<tr><td align="right">Data Path</td><td>The location temporary files are stored before processing<td><%=InitializationManager.getDataTempPath()%></td></tr>
				<tr><td align="right">Data Archive Path</td><td>The location temporary files are moved when successfully processed<td><%=InitializationManager.getDataCompletePath()%></td></tr>
				<tr><td align="right">Data Error Path</td><td>The location temporary files are moved when processing fails<td><%=InitializationManager.getDataErrorPath()%></td></tr>
			</table>
			
		</div>

		<div class="content-primary" id="logs"><br/>
			<h3>Logs</h3>
			<div>You can download the log files here.</div>
			<%
				for (int x=0; x<logFiles.size(); x++) {
			%>
			<li><a data-ajax="false" href="/action?action=downloadlog&index=<%=x%>"><%=logFiles.get(x) %></a></li>
			<% } %>
		</div>
	</div>
	<!-- content -->

</div>
<!-- /page -->

</body>
</html>